Package uk.ac.starlink.votable.datalink

# Interface ExampleUrl

public interface ExampleUrl
Represents an example invocation from a Service Descriptor. This is a representation of a PARAM element with @name="exampleURL".

Since:
  14 Apr 2023
Author:
  Mark Taylor
See Also:
  - DataLink 1.1, section 4.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a textual description of the example.
`String`
`getUrl()`
Returns the invocation URL for the example.

## Method Details

### getUrl

String getUrl()
Returns the invocation URL for the example. This is the value attribute of the PARAM.

Returns:
  invocation URL

### getDescription

String getDescription()
Returns a textual description of the example. This is the content of the DESCRIPTION child of the PARAM.

Returns:
  description text, may be null